import { Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ModeloController } from './modelo.controller';
import { ModeloService } from './modelo.service';
import { Modelo } from './entity/modelo.entity';

@Module({
  imports: [
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([Modelo]),
  ],
  controllers: [ModeloController],
  providers: [ModeloService],
  exports: [ModeloService],
})
export class ModeloModule {}
