import { forwardRef, Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ModuloMotivoController } from './modulo-motivo.controller';
import { ModuloMotivoService } from './modulo-motivo.service';
import { ModuloMotivo } from './entity/modulo-motivo.entity';
import { InstitucionModule } from '../institucion/institucion.module';
import { ModuloModule } from '../modulo/modulo.module';

@Module({
  imports: [
    InstitucionModule,
    forwardRef(() => ModuloModule),
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([ModuloMotivo]),
  ],
  controllers: [ModuloMotivoController],
  providers: [ModuloMotivoService],
  exports: [ModuloMotivoService],
})
export class ModuloMotivoModule {}
