import { forwardRef, Module } from '@nestjs/common';
import { PassportModule } from '@nestjs/passport';
import { TypeOrmModule } from '@nestjs/typeorm';
import { ModuloController } from './modulo.controller';
import { ModuloService } from './modulo.service';
import { Modulo } from './entity/modulo.entity';
import { FullInformacionModuloView } from './entity/views/full-informacion-modulo.view';
import { InformacionModuloView } from './entity/views/informacion-modulo.view';
import { InstitucionModule } from '../institucion/institucion.module';
import { ModuloMotivoModule } from '../modulo-motivo/modulo-motivo.module';

@Module({
  imports: [
    InstitucionModule,
    forwardRef(() => ModuloMotivoModule),
    PassportModule.register({ defaultStrategy: 'jwt' }),
    TypeOrmModule.forFeature([
      Modulo,
      FullInformacionModuloView,
      InformacionModuloView,
    ]),
  ],
  controllers: [ModuloController],
  providers: [ModuloService],
  exports: [ModuloService],
})
export class ModuloModule {}
